{
    "name": "usky-ssr",
    "private": true,
    "version": "0.0.0",
    "type": "module",
    "scripts": {
        "dev": "vite",
        "dev:ssr": "cross-env NODE_ENV=development  node server",
        "prod:ssr": "cross-env NODE_ENV=production  node server",
        "build": "vue-tsc && vite build",
        "preview": "vite preview",
        "build:client": "vite build --outDir dist/client --ssrManifest",
        "build:server": "vite build --outDir dist/server --ssr src/entry-server.ts",
        "build:ssr": "npm run build:client && npm run build:server"
    },
    "dependencies": {
        "axios": "^1.6.7",
        "element-plus": "^2.5.6",
        "jquery": "^3.7.1",
        "vue": "^3.4.19",
        "vue-i18n": "^9.9.0",
        "vue-router": "^4.0.13",
        "vue3-lazy": "^1.0.0-alpha.1",
        "vuex": "^4.0.2"
    },
    "devDependencies": {
        "@typescript-eslint/eslint-plugin": "^6.21.0",
        "@vitejs/plugin-vue": "^5.0.4",
        "cross-env": "^7.0.3",
        "eslint": "^8.56.0",
        "eslint-config-standard-with-typescript": "^43.0.1",
        "eslint-plugin-import": "^2.29.1",
        "eslint-plugin-n": "^16.6.2",
        "eslint-plugin-promise": "^6.1.1",
        "eslint-plugin-vue": "^9.21.1",
        "express": "^4.18.3",
        "sass": "^1.71.1",
        "typescript": "^5.3.3",
        "unplugin-auto-import": "^0.17.5",
        "unplugin-vue-components": "^0.26.0",
        "vite": "^5.1.4",
        "vue-tsc": "^1.8.27"
    }
}
